Loading...
Searching...
No Matches
casacore::MSHistoryEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet HISTORY table. More...

`#include <MSHistoryEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , APPLICATION , APP_PARAMS , CLI_COMMAND , MESSAGE , OBJECT_ID , OBSERVATION_ID , ORIGIN , PRIORITY , TIME , NUMBER_REQUIRED_COLUMNS , NUMBER_PREDEFINED_COLUMNS }
| The HISTORY table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet HISTORY table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet HISTORY table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSHistory class. These enumerations define the standard columns, keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSHistoryEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSHistoryEnums::PredefinedColumns

The HISTORY table colums with predefined meaning.

Keys: TIME, OBSERVATION_ID

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
APPLICATION | Application name String.
APP_PARAMS | Application parameters String(*).
CLI_COMMAND | CLI command sequence String(*).
MESSAGE | Log message String.
OBJECT_ID | Originating object ID String.
OBSERVATION_ID | Observation id (index in OBSERVATION table) Int.
ORIGIN | (Source code) Origin of message String
PRIORITY | Priority of message: DEBUGGING, WARN, NORMAL, SEVERE String.
TIME | Timestamp of message Double - s - EPOCH.
NUMBER_REQUIRED_COLUMNS | Number of required columns.
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 61 of file MSHistoryEnums.h.

## PredefinedKeywords

enum casacore::MSHistoryEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 100 of file MSHistoryEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSHistoryEnums.h